#include<iostream>
using namespace std;
main(){
int t, n, m, k;
cin>>t;
string s[t];
for(int i=0; i<t;i++){
cin>>n>>m>>k;

if(m/n==1||m<n||k>n){s[i]="Nie"; continue;}
else{s[i]="Tak"; continue;}

}
for(int i=0; i<t;i++){cout<<s[i]<<endl;}
}